=== debian/control ===
Source: ros-kinetic-thormang3-action-script-player
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libyaml-cpp-dev, ros-kinetic-catkin, ros-kinetic-robotis-controller-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-std-msgs, ros-kinetic-thormang3-action-module-msgs
Homepage: http://wiki.ros.org/thormang3_action_script_player
Standards-Version: 3.9.2

Package: ros-kinetic-thormang3-action-script-player
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, ros-kinetic-robotis-controller-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-std-msgs, ros-kinetic-thormang3-action-module-msgs
Description: This package provides a action script playing for thormang3.
 It can be used with thormang3_action_module and ros_mpg321_player.
